Subject: Re: OSPF-GMPLS-EXTN MIB

From: Irfan Lateef <[email-masked]>
Date: Fri, 21 Sep 2001 12:55:19 -0400

Tom,

I should have read this draft more closely, but thanks for pointing
to the tables which links the pieces to together. I does the job well.

However I have a few comments.

1. As mentioned in section.3 of the draft "bundled link is another kind of
TE link"
    and the MIB does indeed address other kinds of links( like GMPLS links
    not necessaryly using a bundling concept). The title of the draft
deserves a
    reconsideration which encompasses the a generalized notion. Let me cut
the story
    short, consider renaming it "TE GMPLS and Bundled Link Mgmt MIB" or
something.

2. The MIB ideally models the bundling concept and the GMPLS attributes
seems to
    be an after thought, I understand the necessity to re-use the existing
stuff. From a
   GMPLS point of view, the attributes appear to be scattered around four
different
    tables. I am not sure how you may want to do it. But there is need to
group them
    to together in someway. My suggestion is, there can be a conformance
group
    "GMPLS link group" similar to linkBundlingGroup which can help is
identifying
    how the MIB can be used to model GMPLS links which are not necessaryly
bundled.

3. Some description about the relationship with OSPF MIB can help.

4. Although the draft  does point to [GMPLS-OSPF] in sec.3 but a explicit
sentence in
   section.2 like "The same objects can also be used to model GMPLS links
   and their attributes as defined [GMPLS-OSPF]", would great help.

All these comments are editorial in nature but may help others in future who

are trying to grapple with GMPLS .

Regards,
Irfan Lateef

Thomas Nadeau wrote:

>                  Take a look at the Link Bundling MIB,
> specifically the teLinkOspfTeTable. The MIB can be
> found here:
>
> http://search.ietf.org/internet-drafts/draft-ietf-mpls-bundle-mib-00.txt
>
>          --Tom
>
> >This is with reference to the OSPF extension to GMPLS
> >  draft-ietf-ccamp-ospf-gmpls-extensions-00.txt.
> >
> >  I know OSPF has corresponding MIB, OSPF-MIB (RFC 1850).
> >  Is there a corresponding MIB for the ospf-gmpls-extn
> >  which extends OSPF-MIB?
> >  If the answer is no, How can the NMS find the additional
> >  attributes of the GMPLS links.
> >  Did I miss something!
> >  Appreciate your response.
> >
> >  Irfan Lateef
> >
> >

---

From: Thomas Nadeau <[email-masked]>
Date: Mon, 24 Sep 2001 11:48:47 -0400

>     short, consider renaming it "TE GMPLS and Bundled Link Mgmt MIB" or

         The name was chosen to reflect the draft that it
models objects for. The working group accepted the document
named as it is.

>group them to together in someway.

         Please point out where you think there are deficiencies and
how you would like us to resolve them.

>My suggestion is, there can be a conformance
>group "GMPLS link group" similar to linkBundlingGroup which can help is
>identifying how the MIB can be used to model GMPLS links which are not
>ecessaryly bundled.

         I don't understand how a conformance group can
help in this regard. Conformance groups are used to
point out which objects must be supported and which
are optional (and under what circumstances).

>3. Some description about the relationship with OSPF MIB can help.

         Will do.

>    and their attributes as defined [GMPLS-OSPF]", would great help.

         Okay.

         --Tom